# How to disable the WSC plugin in CKEditor 4?

On January 10, 2022, we disabled the Free version of WebSpellChecker (WSC) in a dialog that was provided as a plugin, integrated by default into [CKEditor](https://ckeditor.com/ckeditor-4/) 4 editor. This is the end-of-life of this product. Users that have added the WSC plugin to the CKEditor config.js file using the extraPlugins parameter or still using CKEditor lower than 4.16.0 may face an [issue with the loading spinner](/v6.12.0/troubleshooting/client-side/spell-checker-wsc-dialog-plugin-for-ckeditor-4-stopped-working-incessant-loading-spinner.md).

To remove the WSC plugin from CKEditor 4, add the following line to your CKEditor config.js file:

```javascript
config.removePlugins ='wsc';
```

Note, that the [WebSpellChecker Dialog plugin for CKEditor 4 for Drupal 8](https://www.drupal.org/project/ckeditor_wsc) was also deprecated. But still, you can use the SCAYT module instead <https://www.drupal.org/project/ckeditor_scayt>. Also, you can use [WProofreader SDK](https://demos.webspellchecker.com/wproofreader-ckeditor4.html) instead. It's not a native module for Drupal, it is a pre-built JavaScript component that can be added to the Drupal pages with the editor (where the spell check is needed).

\ <br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.12.0/faq/technical/scayt-plugin-for-ckeditor-4/how-to-disable-the-wsc-plugin-in-ckeditor-4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
